/*
 * This program reads analog X, Y, and Z values from
 * a ADXL 335 accelerometer and transmits their values
 * through the serial port -- which should be connected
 * to an XBee
 *
 * J Dean Brock, UNC Asheville, 2011
 */

#define CALLSIGN "Dean"

#define PINX 2
#define PINY 1
#define PINZ 0

#define PRINTX 0
#define PRINTY 1
#define PRINTZ 2

int presState ;

void setup()
{
  Serial.begin(9600);
  delay(2000) ;
  Serial.println("Reset from " CALLSIGN) ;
  delay(2000) ;
  presState = PRINTX ;
}

void loop()
{
  int valIn ;
  switch(presState) {
    case PRINTX:
      valIn = analogRead(PINX) ;
      Serial.print(CALLSIGN ".X = ") ;
      Serial.println(valIn) ;
      presState = PRINTY ;
      break ;
    case PRINTY:
      valIn = analogRead(PINY) ;
      Serial.print(CALLSIGN ".Y = ") ;
      Serial.println(valIn) ;
      presState = PRINTZ ;
      break ;
    case PRINTZ:
      valIn = analogRead(PINZ) ;
      Serial.print(CALLSIGN ".Z = ") ;
      Serial.println(valIn) ;
      presState = PRINTX ;
      break ;
  }
  delay(50);
}


